package org.sadigit.entity.masterYantek;

import java.time.LocalDateTime;

import org.sadigit.entity.AppUser;

import io.quarkus.hibernate.orm.panache.PanacheEntity;
import jakarta.persistence.Column;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;

public class ShiftPetugas extends PanacheEntity {
    @Column(name = "id", nullable = false)
    private Long id;

    @Column(name = "userid", nullable = false)
    private Long userId;

    @Column(name = "username", nullable = false)
    private String username;

    @ManyToOne
    @JoinColumn(name = "id_shift", nullable = false)
    private Shift shift;

    @ManyToOne
    @JoinColumn(name = "id_petugas", referencedColumnName = "user_id", nullable = false)
    private AppUser petugas;

    @Column(name = "created_date")
    private LocalDateTime created_date;

    @Column(name = "created_by")
    private Long created_by;
    @Column(name = "updated_date")
    private LocalDateTime updated_date;

    @Column(name = "updated_by")
    private Long updated_by;

}
