package org.sadigit.entity.masterYantek;

import java.time.LocalDate;

import org.hibernate.annotations.Immutable;

import io.quarkus.hibernate.orm.panache.PanacheEntityBase;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

@Entity
@Setter
@Getter
@Table(name = "unit", schema = "apkt_transactional")
@Immutable
public class Unit extends PanacheEntityBase {
    @Id
    @Column(name = "unitid")
    private Long unitid;

    @Column(name = "unitcode", length = 10)
    private String unitcode;

    @Column(name = "unitname", length = 100)
    private String unitname;

    @Column(name = "unittypeid")
    private Double unittypeid;

    @Column(name = "unitparent")
    private Double unitparent;

    @Column(name = "address", length = 250)
    private String address;

    @Column(name = "city", length = 50)
    private String city;

    @Column(name = "zip", length = 5)
    private String zip;

    @Column(name = "phone", length = 20)
    private String phone;

    @Column(name = "mobile", length = 20)
    private String mobile;

    @Column(name = "fax", length = 20)
    private String fax;

    @Column(name = "email", length = 100)
    private String email;

    @Column(name = "ipaddress", length = 15)
    private String ipaddress;

    @Column(name = "createdate")
    private LocalDate createdate;

    @Column(name = "createby")
    private Double createby;

    @Column(name = "updatedate")
    private LocalDate updatedate;

    @Column(name = "updateby")
    private Double update_by;

    @Column(name = "isactive", length = 1)
    private String isactive;

    @Column(name = "coordinator")
    private Double coordinator;

    @Column(name = "supervisor")
    private Double supervisor;

    @Column(name = "assistantmanager")
    private Double assistantmanager;

    @Column(name = "assmanphone", length = 20)
    private String assmanphone;

    @Column(name = "vehiclecolor", length = 10)
    private String vehiclecolor;

}
