package org.sadigit.entity.referensi;

import org.hibernate.annotations.Immutable;

import io.quarkus.hibernate.orm.panache.PanacheEntityBase;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

@Entity
@Setter
@Getter
@Table(name = "media", schema = "apkt_transactional")
@Immutable
public class Media extends PanacheEntityBase {
    @Id
    @Column(name = "kode", nullable = false)
    private Long kode;

    @Column(name = "keterangan", length = 100)
    private String keterangan;

}
