package org.sadigit.entity.referensi;

import lombok.Getter;
import java.time.LocalDateTime;
import org.hibernate.annotations.Immutable;

import io.quarkus.hibernate.orm.panache.PanacheEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;

@Entity
@Getter
@Immutable
@Table(name = "master_pulau", schema = "apkt_transactional")
public class Pulau extends PanacheEntity {

    @Column(name = "id")
    private Long id;

    @Column(name = "nama", nullable = false)
    private String nama;

    @Column(name = "created_date", nullable = false)
    private LocalDateTime createdDate;

    @Column(name = "created_by", nullable = false)
    private Long createdBy;

    @Column(name = "updated_date")
    private LocalDateTime updatedDate;

    @Column(name = "updated_by")
    private Long updatedBy;

    @Column(name = "kode", nullable = false)
    private String kode;

    @Column(name = "aktif", nullable = false)
    private Boolean aktif;

}
