package org.sadigit.entity.referensi;

import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;
import org.hibernate.annotations.Immutable;

import io.quarkus.hibernate.orm.panache.PanacheEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;

@Entity
@Getter
@Setter
@Immutable
@Table(name = "master_regional", schema = "apkt_transactional")
public class Regional extends PanacheEntity {

    private Long id;

    @Column(name = "nama")
    private String nama;

    @Column(name = "created_date")
    private LocalDateTime created_date;

    @Column(name = "created_by")
    private Long created_by;

    @Column(name = "updated_date")
    private LocalDateTime updated_date;

    @Column(name = "updated_by")
    private Long updated_by;

}
