package org.sadigit.entity.transaksi;

import java.time.LocalDateTime;

import org.hibernate.annotations.Immutable;

import io.quarkus.hibernate.orm.panache.PanacheEntity;
import jakarta.persistence.*;
import lombok.Getter;
import lombok.Setter;

@Entity
@Setter
@Getter
@Table(name = "gangguan_foto", schema = "apkt_transactional")
@Immutable
public class GangguanFoto extends PanacheEntity {

    @Column(name = "id")
    private Long id;
    @ManyToOne
    @JoinColumn(name = "id_gangguan", nullable = false)
    private Gangguan gangguan;

    @Column(name = "created_date")
    private LocalDateTime createdDate;

    @Column(name = "created_by")
    private Long createdBy;

    @Column(name = "updated_date")
    private LocalDateTime updatedDate;

    @Column(name = "updated_by")
    private Long updatedBy;

    @Column(nullable = false)
    private String foto;

}
