package org.sadigit.entity.transaksi;

import jakarta.persistence.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.quarkus.hibernate.orm.panache.PanacheEntityBase;

@Entity
@Setter
@Getter
@Table(name = "runworkflow", schema = "apkt_transactional")
public class RunWorkflow extends PanacheEntityBase implements Serializable {

    @Id
    @Column(name = "runworkflowid", nullable = false)
    private Long runworkflowid;

    @Column(name = "workflowid")
    private Long workflowid;

    @Column(name = "requestby")
    private Long requestby;

    @Column(name = "lastworkflowdetailid")
    private Long lastworkflowdetailid;

    @Column(name = "laststatus", length = 50)
    private String laststatus;

    @Column(name = "laststatustype", length = 50)
    private String laststatustype;

    @Column(name = "createdate")
    private LocalDateTime createdate;

    @Column(name = "rowid", nullable = false, columnDefinition = "INT8 NOT VISIBLE DEFAULT unique_rowid()")
    private Long rowid;

    // Constructors, getters, and setters...
}
