package org.sadigit.model.response.base;

import lombok.*;

import java.io.Serializable;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ToString
public class ResponseModelWithFlow<T, V> implements Serializable {

    private String Message;
    private List<T> Data;
    private List<V> Flow;
}

