package org.sadigit.entity.saidisaifi.masterJaringan;

import java.sql.Timestamp;

import org.hibernate.annotations.Immutable;

import io.quarkus.hibernate.orm.panache.PanacheEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

@Entity
@Setter
@Getter
@Table(name = "master_section", schema = "apkt_transactional")
@Immutable
public class MasterSection extends PanacheEntity{
    private Long id;

    @Column(name = "id_zona", nullable = false)
    private Long idZona;

    @Column(name = "kode", nullable = false)
    private String kode;

    @Column(name = "no_tiang", nullable = false)
    private String noTiang;

    @Column(name = "no_urut", nullable = false)
    private String noUrut;

    @Column(name = "rayon", nullable = false)
    private String rayon;

    @Column(name = "switch_awal", nullable = false)
    private String switchAwal;

    @Column(name = "switch_akhir", nullable = false)
    private String switchAkhir;

    @Column(name = "keterangan")
    private String keterangan;

    @Column(name = "alamat", nullable = false)
    private String alamat;

    @Column(name = "created_date")
    private Timestamp createdDate;

    @Column(name = "created_by")
    private Long createdBy;

    @Column(name = "updated_date")
    private Timestamp updatedDate;

    @Column(name = "updated_by")
    private Long updatedBy;

}
