package org.sadigit.entity.saidisaifi.masterJaringan;

import java.sql.Timestamp;

import org.hibernate.annotations.Immutable;

import io.quarkus.hibernate.orm.panache.PanacheEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

@Entity
@Setter
@Getter
@Table(name = "master_sub_lateral", schema = "apkt_transactional")
@Immutable  
public class MasterSubLateral extends PanacheEntity {
    @Column(name = "id")
    private Long id;

    @Column(name = "id_gardu_distribusi", nullable = false)
    private Long idGarduDistribusi;

    @Column(name = "kode", nullable = false)
    private String kode;

    @Column(name = "no_tiang", nullable = false)
    private String noTiang;

    @Column(name = "rayon", nullable = false)
    private String rayon;

    @Column(name = "keterangan")
    private String keterangan;

    @Column(name = "alamat", nullable = false)
    private String alamat;

    @Column(name = "created_date")
    private Timestamp createdDate;

    @Column(name = "created_by")
    private Long createdBy;

    @Column(name = "updated_date")
    private Timestamp updatedDate;

    @Column(name = "updated_by")
    private Long updatedBy;

}
