package org.sadigit.entity.saidisaifi.masterJaringan;

import java.sql.Timestamp;

import org.hibernate.annotations.Immutable;

import io.quarkus.hibernate.orm.panache.PanacheEntity;
import jakarta.persistence.CascadeType;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

@Entity
@Setter
@Getter
@Table(name = "master_zona", schema = "apkt_transactional")
@Immutable
public class MasterZona extends PanacheEntity {
    @Column(name = "id")
    private Long id;

    @JoinColumn(name = "id_feeder", referencedColumnName = "id", nullable = false)
    @ManyToOne(fetch = FetchType.EAGER, optional = false, cascade = CascadeType.ALL)
    private MasterFeeder masterFeeder;

    @Column(name = "kode", nullable = false)
    private String kode;

    @Column(name = "no_tiang", nullable = false)
    private String noTiang;

    @Column(name = "rayon", nullable = false)
    private String rayon;

    @Column(name = "keterangan")
    private String keterangan;

    @Column(name = "alamat", nullable = false)
    private String alamat;

    @Column(name = "created_date")
    private Timestamp createdDate;

    @Column(name = "created_by")
    private Long createdBy;

    @Column(name = "updated_date")
    private Timestamp updatedDate;

    @Column(name = "updated_by")
    private Long updatedBy;

}
