package org.sadigit.entity.transaksi;

import jakarta.persistence.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.quarkus.hibernate.orm.panache.PanacheEntityBase;

@Entity
@Table(name = "penugasan_khusus_belum_selesai", schema = "apkt_transactional")
public class PenugasanKhusus extends PanacheEntityBase {

    @Id
    @Column(name = "rowid", nullable = false)
    private Long id;

    @Column(name = "no_tugas", length = 20)
    private String no_tugas;

    @Column(name = "tglcatat")
    private LocalDateTime tglcatat;

    @Column(name = "nama_tugas", length = 50)
    private String nama_tugas;

    @Column(name = "keterangan", length = 100)
    private String keterangan;

    @Column(name = "reguid")
    private BigDecimal reguid;

    @Column(name = "nama_regu", length = 200)
    private String nama_regu;

    @Column(name = "flag_selesai")
    private BigDecimal flag_selesai;

    @Column(name = "tglflag_selesai")
    private LocalDateTime tglflag_selesai;

    @Column(name = "upi")
    private BigDecimal upi;

    @Column(name = "ap")
    private BigDecimal ap;

    @Column(name = "up")
    private BigDecimal up;

    @Column(name = "posko")
    private BigDecimal posko;

    @Column(name = "no_laporan", length = 20)
    private String no_laporan;

    @Column(name = "catatby")
    private BigDecimal catatby;

    @Column(name = "laststatus", length = 50)
    private String laststatus;

    @Column(name = "tglpenugasan")
    private LocalDateTime tglpenugasan;

    @Column(name = "penugasanby")
    private BigDecimal penugasanby;

    @Column(name = "tglperjalanan")
    private LocalDateTime tglperjalanan;

    @Column(name = "perjalananby")
    private BigDecimal perjalananby;

    @Column(name = "tglpengerjaan")
    private LocalDateTime tglpengerjaan;

    @Column(name = "pengerjaanby")
    private BigDecimal pengerjaanby;

    @Column(name = "tglnyala")
    private LocalDateTime tglnyala;

    @Column(name = "nyalaby")
    private BigDecimal nyalaby;

    @Column(name = "selesaiby")
    private BigDecimal selesaiby;

    @Column(name = "tglnyalasementara")
    private LocalDateTime tglnyalasementara;

    @Column(name = "nyalasementaraby")
    private BigDecimal nyalasementaraby;

    @Column(name = "keterangan_selesai")
    private String keteranganSelesai;

    @Column(name = "catatbyvcc")
    private BigDecimal catatbyvcc;

    @Column(name = "selesaibyvcc")
    private BigDecimal selesaibyvcc;
}
